com.amazonaws.codegen.maven.plugin

## Class GenerationMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - com.amazonaws.codegen.maven.plugin.GenerationMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    @Mojo(name="generate")
    public class GenerationMojo
    extends org.apache.maven.plugin.AbstractMojo

The Maven mojo to generate Java client code using aws-java-sdk-code-generator.

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`GenerationMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenerationMojo

    public GenerationMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`